# ~Luna discord bot

### Environment

NodeJS version: `v18.15.0 lts`

Create and edit `.env` file, remove useless comments in production:

```
# bot token
TOKEN=token
# might be online, idle, invisible or dnd
STATUS=idle
# any string to use it as a status content
STATUS_CONTENT=hello world
# might be NONE, PLAYING, WATCHING, LISTENING, STREAMING, COMPETING or CUSTOM
STATUS_TYPE=LISTENING
# client app id
CLIENT_ID=000000000000000000
# development guild id
DEV_GUILD_ID=000000000000000000
```

Install dependencies: `yarn install`

### Scripts

- `yarn start` | run bot in a production mode
- `yarn dev` | run bot in a dev mode
